<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <?php
    $host = "webdev.iyaserver.com";
    $username = "dent_guest";
    $userpw = "Acad276_Dev2Ex@m";
    $dbname = "dent_exam";

    $mysql = new mysqli($host, $username, $userpw, $dbname);

    if ($mysql->connect_errno) {
        echo "DB connection error: " . $mysql->connect_error;
        exit();
    }

    if (!isset($_GET['manufacturer']) || !isset($_GET['system_id']) || !isset($_GET['type'])) {
        echo "<div class='error'>Missing required parameters. Please go back and search again.</div>";
        exit();
    }

    $device_name = $_GET['device_name'];
    $manufacturer = $_GET['manufacturer'];
    $system_id = $_GET['system_id'];
    $type = $_GET['type'];

    $sql = "SELECT devices.name, devices.price, manufacturers.manufacturer, systems.system, types.type 
            FROM devices 
            JOIN manufacturers ON devices.manufacturer_id = manufacturers.manufacturer_id
            JOIN systems ON devices.system_id = systems.system_id
            JOIN types ON devices.type_id = types.type_id
            WHERE 1=1"; 

    if (!empty($device_name)) {
        $sql .= " AND devices.name LIKE '%" . $mysql->real_escape_string($device_name) . "%'";
    }

    if ($manufacturer != 'all') {
        $sql .= " AND manufacturers.manufacturer = '" . $mysql->real_escape_string($manufacturer) . "'";
    }

    if ($system_id != 'all') {
        $sql .= " AND systems.system_id = '" . $mysql->real_escape_string($system_id) . "'";
    }

    if ($type != 'all') {
        $sql .= " AND types.type = '" . $mysql->real_escape_string($type) . "'";
    }

    $results = $mysql->query($sql);

    if (!$results) {
        echo "SQL query error: " . $mysql->error;
        exit();
    }

    $num_results = $results->num_rows;
    
    echo "<div class='num-results'>Your search returned <strong>" . $num_results . "</strong> result(s).</div>";

    if ($num_results > 0) {
        echo "<table>
                <tr>
                    <th>Name</th>
                    <th>Price</th>
                    <th>Manufacturer</th>
                    <th>System</th>
                    <th>Type</th>
                </tr>";

        while ($row = $results->fetch_assoc()) {
            echo "<tr>
                    <td><a href='details.php?id=" . $row['device_id'] . "'>" . htmlspecialchars($row['name']) . "</a></td>
                    <td>" . htmlspecialchars($row['price']) . "</td>
                    <td>" . htmlspecialchars($row['manufacturer']) . "</td>
                    <td>" . htmlspecialchars($row['system']) . "</td>
                    <td>" . htmlspecialchars($row['type']) . "</td>
                  </tr>";
        }

        echo "</table>";
    } else {
        echo "<div>No results found</div>";
    }

    $mysql->close();
    ?>
</div>

</body>

</html>